import request from '@/utils/request'

// 查询轮播图列表
export function listSlideshow(query) {
  return request({
    url: '/business/slideshow/list',
    method: 'get',
    params: query
  })
}

// 查询轮播图详细
export function getSlideshow(id) {
  return request({
    url: '/business/slideshow/' + id,
    method: 'get'
  })
}

// 新增轮播图
export function addSlideshow(data) {
  return request({
    url: '/business/slideshow',
    method: 'post',
    data: data
  })
}

// 修改轮播图
export function updateSlideshow(data) {
  return request({
    url: '/business/slideshow',
    method: 'put',
    data: data
  })
}

// 删除轮播图
export function delSlideshow(id) {
  return request({
    url: '/business/slideshow/' + id,
    method: 'delete'
  })
}
